Wind River Support Network

HomeDefectsLIN5-20459
Fixed

LIN5-20459 : Security Advisory - linux - CVE-2015-3331

Created: May 31, 2015    Updated: Dec 19, 2017
Resolved Date: Jun 2, 2015
Found In Version: 5.0.1.26
Fix Version: 5.0.1.27
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Kernel

Description

The __driver_rfc4106_decrypt function in arch/x86/crypto/aesni-intel_glue.c in the Linux kernel before 3.19.3 does not properly determine the memory locations used for encrypted data, which allows context-dependent attackers to cause a denial of service (buffer overflow and system crash) or possibly execute arbitrary code by triggering a crypto API call, as demonstrated by use of a libkcapi test program with an AF_ALG(aead) socket.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2015-3331

Other Downloads


Live chat
Online